using System.ComponentModel.DataAnnotations;

namespace bitforum.Models.Views
{
    public class UserViewModel
    {
        [Key]
        [Required(ErrorMessage = "ID는 필수 항목입니다.")]
        public string ID { get; set; }

        [Required(ErrorMessage = "이름을 입력해주세요.")]
        public string Name { get; set; }

        [Required]
        [EmailAddress(ErrorMessage = "올바른 이메일 주소를 입력하세요.")]
        public string Email { get; set; }

        [Phone(ErrorMessage = "올바른 전화번호를 입력하세요.")]
        public string? Phone { get; set; }

        public IEnumerable<string> Roles { get; set; } = new List<string>();
    }
}
